import React from 'react'
import { CoursesProps } from '@/types'
const Banner = ({ courseData }: { courseData: CoursesProps }) => {
  console.log(courseData)
  return (
    <div className='relative flex w-full h-[40vh] lg:h-[70vh] bg-gradient-to-r from-[#FDB2B8] to-[#FEB3BA] items-center'>

      <div className='flex-col flex lg:ml-48 ml-4 z-10'>
        <p className='text-black lg:text-5xl text-3xl font-bold text-center'>
          {courseData?.title}
        </p>
        <img src={"/images/line.png"} className='lg:w-[35vh] w-[20vh] h-auto object-cover mt-2' />
      </div>
      {/* <div className='absolute bottom-0 right-0 max-sm:-right-32 md:-right-32 lg:right-32  bg-[url("/images/kid2.png")] bg-cover bg-center bg-no-repeat h-full w-[80%]'></div> */}
      <img
        src={"/images/kid2.png"}
        alt="kid2"
        className="absolute bottom-0 right-0 lg:right-32 object-cover object-left h-full lg:w-auto :w-40"
      />

    </div>
  )
}
export default Banner
