"use client"
import React from 'react'
import { CustomButtonProps } from '@/types'
const CustomButton = ({ isDisabled, title, handleClick, text_and_button_size }: CustomButtonProps) => {
    return (
        <button
            className={`middle none center rounded-full bg-[#D60050] ${text_and_button_size} font-bold uppercase text-white shadow-md shadow-pink-500/20 transition-all hover:shadow-lg hover:shadow-pink-500/40`}
            data-ripple-light="true"
            disabled={isDisabled}
            onClick={handleClick}
        >
            {title}
        </button>
    )
}

export default CustomButton
