import { MouseEventHandler } from "react";

export interface SettingsProps {

    address: string;
    google_map_api_key: string;
    latitude: number;
    longitude: number;
    phone: string;
    email: string;
    facebook: string;
    instagram: string;
    youtube: string;
    youtube_link: string;
    whatsapp: string;
    id: string;

}

export interface AboutusProps {
    id: string;
    title: string;
    description: string
    image: string;
    index: number;
}

export interface MessageProps {
    name: string,
    phone: string,
    email: string,
    message: string,

}

export interface CustomButtonProps {
    isDisabled?: boolean;
    // btnType?: "button" | "submit";
    //containerStyles?: string;
    //textStyles?: string;
    title: string;
    text_and_button_size: string;
    //rightIcon?: string;
    handleClick?: MouseEventHandler<HTMLButtonElement>;
}

export interface imageProps {
    image: string,
    course_id: string,
    index: number,
    id: string
}

export interface CoursesProps {
    id: string,
    title: string,
    images: Array<imageProps>,
    info_images: Array<imageProps>,
    schedule: Array<ScheduleProps>,
    sort_description: string,
    long_description: string,
    information: string,
    contant: string,
    remark: string,
    created_at: string,
}

export interface ScheduleProps {
    id: string,
    course_id: string,
    title: string,
    info1: string,
    info2: string,
    date: string,

}

export interface RerganizedScheduleProps {
    yearAndMonth: string,
    schedules: Array<ScheduleProps>
}

export interface CoursesArrayProps {
    courses: Array<CoursesProps>
}
